# Current.pidl File Reference

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

interface | CORBA::Current

## Detailed Description

Id
  Current.pidl,v 1.18 2005/12/17 03:16:58 ossama Exp

This file is used to generate CurrentC.{h,cpp}, using the following command:

tao_idl.exe -o orig -Gp -Gd -Ge 1 -GA -Sc -SS -Sci -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL Current.pidl

The files are ready to use.